#
# make helper methods available inside bash script resources.
#
class Erubis::Context
  include Inconcert::ServiceHelpers
end

require 'chef/version_constraint'

include_recipe "apt"

package "ntp"           # It may be absent
package "anacron"
package "netcat"

# TODO: Move this ssl thingie to a recipe ?

if Chef::VersionConstraint.new("~> 6.0").include?(node['platform_version']) then
  package "libssl0.9.8-dbg"
  package "libsnmp15-dbg"
else
  package "libssl1.0.0-dbg"
  package "libsnmp30-dbg"
  package "locate"
  package "tmux"
end

package "liblua5.1-0-dbg"
package "libc6-dbg"
package "strace"
package "valgrind"
include_recipe "vim"

# run logrotate more frecuently
cookbook_file "/etc/cron.hourly/logrotate" do
  source "logrotate"
  owner "root"
  group "root"
  mode  0744
end

cookbook_file "/etc/logrotate.d/rsyslog" do
  source "rsyslog"
  owner "root"
  group "root"
  mode  0744
end

cookbook_file "/etc/cron.hourly/ntp" do
  source "ntp.cron.sh"
  owner "root"
  group "root"
  mode  0744
end

template "/etc/hosts" do
  source "hosts.erb"
  owner  "root"
  group  "root"
  mode   "0644"
end

bash "run ntpd" do
  code "invoke-rc.d ntp restart"
end
